package io.zipcoder;

import java.util.Stack;

public class ParenChecker {

    public boolean parenthesisChecker(String str) {
        Stack<Character> stack = new Stack<>();
        for (int i = 0; i < str.length(); i++) {
            char var = str.charAt(i);
            if (var == '(') {
                stack.push(var);
            } else if (var == ')') {
                if (stack.empty() || stack.pop() != '(') {
                    return false;
                }

            }
        }

        return stack.empty();
    }

    public boolean openingCharChecker(String str) {
        Stack<Character> stack = new Stack<>();
        for (int i = 0; i < str.length(); i++) {
            char var = str.charAt(i);
            if (var == '<' || var == '{' || var == '[' || var == '(') {
                stack.push(var);
            } else if (var == '>') {
                if (stack.empty() || stack.pop() != '<') {
                    return false;
                }
            } else if (var == '}') {
                if (stack.empty() || stack.pop() != '{') {
                    return false;
                }
            } else if (var == ']') {
                if (stack.empty() || stack.pop() != '[') {
                    return false;
                }
            } else if (var == ')') {
                if (stack.empty() || stack.pop() != '(') {
                    return false;
                }
            }
        }
            return stack.empty();
    }
}



























