package io.zipcoder;

import org.junit.Assert;
import org.junit.Test;

public class WCTest {

@Test
    public void wordCounterTest(){
    //Given
    WC counter = new WC(WC.class.getResource("/someTextFile.txt").getFile());
    counter.wordScanner();

    //When
    int expected = 1;
    int actual=counter.getWordCount("this") ;

    //Then
    Assert.assertEquals(expected, actual);
}

    @Test
    public void wordScannerTest(){
        //Given
        WC counter = new WC(WC.class.getResource("/ATaleOfTwoCities").getFile());
        counter.wordScanner();
        counter.printMap();

    }
    
    @Test
    public void getWordCount(){
        //Given
        WC counter = new WC(WC.class.getResource("/ATaleOfTwoCities").getFile());
        counter.wordScanner();
        int expected =1;
        
        //When
        
        int actual = counter.getWordCount("the");
        
        //Then
        Assert.assertEquals(expected, actual);
    }

}